From d4bcc1e25ebe8240fcda23c281b930f7f711fcff Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Wed, 12 Jun 2019 12:33:03 +0200
Subject: [PATCH 1/2] elogind: provide a runit service.

I prefer to handle it via runit.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 srcpkgs/elogind/files/elogind/run | 3 +++
 srcpkgs/elogind/template          | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/elogind/files/elogind/run

diff --git a/srcpkgs/elogind/files/elogind/run b/srcpkgs/elogind/files/elogind/run
new file mode 100644
index 00000000000..9abc6ee2b43
--- /dev/null
+++ b/srcpkgs/elogind/files/elogind/run
@@ -0,0 +1,3 @@
+#!/bin/sh
+sv check dbus >/dev/null || true
+exec /usr/libexec/elogind/elogind.wrapper
diff --git a/srcpkgs/elogind/template b/srcpkgs/elogind/template
index 678025f7e88..7d03f4e5fc0 100644
--- a/srcpkgs/elogind/template
+++ b/srcpkgs/elogind/template
@@ -1,7 +1,7 @@
 # Template file for 'elogind'
 pkgname=elogind
 version=241.3
-revision=1
+revision=2
 build_style=meson
 configure_args="-Dcgroup-controller=elogind -Dhalt-path=/usr/bin/halt
  -Drootlibexecdir=/usr/libexec/elogind -Dreboot-path=/usr/bin/reboot
@@ -47,6 +47,7 @@ post_install() {
 	vinstall $FILESDIR/elogind.wrapper 755 usr/libexec/elogind
 	vmkdir usr/lib/dracut/dracut.conf.d
 	echo "install_items+=\" /usr/libexec/elogind/elogind-uaccess-command \"" >> ${DESTDIR}/usr/lib/dracut/dracut.conf.d/elogind.conf
+	vsv elogind
 }
 
 elogind-devel_package() {

From 4a96b8e2c8ef72d0adeac6574443d44143e8d901 Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Wed, 12 Jun 2019 12:42:47 +0200
Subject: [PATCH 2/2] travis/build.sh: update bootstrap before building.

This should fix the recently failed build of elogind due
to xbps not updating revdeps of the build dependencies.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 common/travis/build.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/common/travis/build.sh b/common/travis/build.sh
index bd65283d10a..38ecd909f4a 100755
--- a/common/travis/build.sh
+++ b/common/travis/build.sh
@@ -23,6 +23,8 @@ XBPS_SRCPKGDIR=/hostrepo/srcpkgs XBPS_MASTERDIR=/ chroot_prepare $1 || {
 	exit 1
 }
 
+/hostrepo/xbps-src -H "$HOME"/hostdir bootstrap-update
+
 PKGS=$(/hostrepo/xbps-src sort-dependencies $(cat /tmp/templates))
 
 NPROCS=1
